---
title: scan2mail
type: docs
---

[![Source Code](https://img.shields.io/badge/gitea-source%20code-blue?logo=gitea&logoColor=white)](https://gitea.rknet.org/ansible/xoxys.scan2mail) [![Build Status](https://img.shields.io/drone/build/ansible/xoxys.scan2mail?logo=drone&server=https%3A%2F%2Fdrone.rknet.org)](https://drone.rknet.org/ansible/xoxys.scan2mail) [![License: MIT](https://img.shields.io/badge/license-MIT-blue.svg)](https://gitea.rknet.org/ansible/xoxys.scan2mail/src/branch/main/LICENSE)

Setup scan2mail service.

<!--more-->

- [Default Variables](#default-variables)
  - [scan2mail_from_address](#scan2mail_from_address)
  - [scan2mail_incron_jobs](#scan2mail_incron_jobs)
  - [scan2mail_incron_system_table_dir](#scan2mail_incron_system_table_dir)
  - [scan2mail_mail_domain](#scan2mail_mail_domain)
  - [scan2mail_message](#scan2mail_message)
  - [scan2mail_packages_extra](#scan2mail_packages_extra)
  - [scan2mail_subject](#scan2mail_subject)
- [Dependencies](#dependencies)

---

## Default Variables

### scan2mail_from_address

#### Default value

```YAML
scan2mail_from_address: printer@{{ scan2mail_mail_domain }}
```

### scan2mail_incron_jobs

#### Default value

```YAML
scan2mail_incron_jobs: []
```

#### Example usage

```YAML
scan2mail_incron_jobs:
  - path: /path/to/scan/dir
    mask: IN_CREATE
    action: /usr/local/bin/scan2mail
    options:
      - $@
      - $#
```

### scan2mail_incron_system_table_dir

#### Default value

```YAML
scan2mail_incron_system_table_dir: /etc/incron.d
```

### scan2mail_mail_domain

#### Default value

```YAML
scan2mail_mail_domain: example.com
```

### scan2mail_message

#### Default value

```YAML
scan2mail_message: _unset_
```

### scan2mail_packages_extra

#### Default value

```YAML
scan2mail_packages_extra: []
```

### scan2mail_subject

#### Default value

```YAML
scan2mail_subject: Scan2Mail attachments
```



## Dependencies

None.
